"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const utils_1 = require("../../utils");
exports.default = (_options) => {
    return schematics_1.chain([removeCommitlintAngularConfig, overrideCommitlintConfigFile]);
};
const removeCommitlintAngularConfig = () => (tree, context) => {
    context.logger.info('Updates npm packages as dev dependencies');
    const packageJson = utils_1.getPackageJson(tree);
    if (packageJson.devDependencies['@commitlint/config-angular'] === '^8.2.0') {
        delete packageJson.devDependencies['@commitlint/config-angular'];
    }
    packageJson.devDependencies['@commitlint/config-conventional'] = '^8.2.0';
    utils_1.overwritePackageJson(tree, packageJson);
};
const overrideCommitlintConfigFile = () => (tree, context) => {
    context.logger.info('Added commitlint configuration file');
    const sourceTemplates = schematics_1.url('./files/commitlint.config.js');
    const sourceParameterizedTemplates = schematics_1.apply(sourceTemplates, [schematics_1.template({})]);
    return schematics_1.mergeWith(sourceParameterizedTemplates, schematics_1.MergeStrategy.Overwrite)(tree, context);
};
//# sourceMappingURL=index.js.map